/**
 * プラグインのショートコード作成と挿入を行います。
 */
var WpMyPlugin = function()
{
	var data = null;

	/**
	 * ショートコードを取得します。
	 *
	 * @return	ショートコード。
	 */
	function getShorCode()
	{
		return "[test]" + ( data == null ? "" : data.value ) + "[/test]";
	}

	/**
	 * インスタンスを初期化します。
	 */
	this.initialize = function()
	{
		data = document.getElementById( "myplugin_data" );
	};

	/**
	 * 「投稿に挿入」ボタンが押された時に発生します。
	 */
	this.onClickSubmitButton = function()
	{
		var text = getShorCode();
		self.parent.onMyPluginShortCode( text );
	};
};

//唯一の WpMyPlugin インスタンスを生成
var wpMyPlugin = new WpMyPlugin();

window.onload = function()
{
	wpMyPlugin.initialize();
};